"""Base C family flags file copied from the USER GUIDE
(https://github.com/ycm-core/YouCompleteMe#option-2-provide-the-flags-manually)
"""


def Settings(**kwargs):
    return {
        'flags': ['-x', 'c', '-Wall', '-Wextra', '-Werror', '-Wshadow'],
    }
